import ajax from '../util/ajax'
import api from '../util/api'

export default {
  namespaced: true,
  state: {
    menu: [],
  },
  mutations: {
    updateMenu (state, data) {
      state.menu = data || []
    }
  },
  actions: {
    login (context, data) {
      return new Promise((resolve, reject) => {
        ajax({
          ...api.common.login,
          data: {
            ...data,
          }
        }).then(res => {
          // context.commit('updateList', res)
          resolve(res)
        }).catch(reject)
      })
    },
    setMenu (context, data) {
      return new Promise((resolve, reject) => {
        ajax({
          ...api.common.login,
          data: {
            ...data,
          }
        }).then(res => {
          // context.commit('updateList', res)
          resolve(res)
        }).catch(reject)
      })
    }
  }
}
